summaryrefslogtreecommitdiffstats
path: root/games/crawl
diff options
context:
space:
mode:
Diffstat (limited to 'games/crawl')
-rw-r--r--games/crawl/README4
-rw-r--r--games/crawl/crawl.SlackBuild128
-rw-r--r--games/crawl/crawl.desktop8
-rw-r--r--games/crawl/crawl.info10
-rw-r--r--games/crawl/crawl_icon-32x32.pngbin0 -> 579 bytes
-rw-r--r--games/crawl/doinst.sh3
-rw-r--r--games/crawl/slack-desc19
7 files changed, 172 insertions, 0 deletions
diff --git a/games/crawl/README b/games/crawl/README
new file mode 100644
index 0000000000..7ccc57b260
--- /dev/null
+++ b/games/crawl/README
@@ -0,0 +1,4 @@
+Dungeon Crawl Stone Soup is a game of dungeon exploration, combat and
+magic, involving characters of diverse skills, worshipping deities of
+great power and caprice. To win, you'll need to be a master of tactics
+and strategy, and prevail against overwhelming odds.
diff --git a/games/crawl/crawl.SlackBuild b/games/crawl/crawl.SlackBuild
new file mode 100644
index 0000000000..dd6dac8db6
--- /dev/null
+++ b/games/crawl/crawl.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+
+# Slackware build script for Dungeon Crawl Stone Soup
+
+# Copyright 2024, SlackBuilds.org Project, David Melik, Spokane, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=crawl
+VERSION=${VERSION:-0.31.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SRCNAM=stone_soup
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/${SRCNAM}-$VERSION-nodeps.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd source
+ # Do not remove quotation marks from SAVEDIR='~/.crawl/'.
+ # $SAVEDIR needs evaluating at runtime.
+ make \
+ prefix=/usr \
+ COPY_FONTS=1 \
+ DATADIR=/usr/share/games/crawl \
+ SAVEDIR='~/.crawl/' \
+ SDL2=1 \
+ TILES=1
+ make install \
+ prefix=/usr \
+ COPY_FONTS=1 \
+ DATADIR=/usr/share/games/crawl \
+ DESTDIR=$PKG \
+ SAVEDIR='~/.crawl/' \
+ SDL2=1 \
+ TILES=1
+ make clean
+ make \
+ prefix=/usr \
+ DATADIR=/usr/share/games/crawl \
+ SAVEDIR='~/.crawl/'
+ cp crawl $PKG/usr/games/crawl-ascii
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man6
+gzip -9 -c docs/crawl.6 > $PKG/usr/man/man6/crawl.6.gz
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/crawl_icon-32x32.png $PKG/usr/share/pixmaps
+cp $CWD/crawl.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+ln -sf /usr/share/games/crawl/docs $PKG/usr/doc/$PRGNAM-$VERSION/docs
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/crawl/crawl.desktop b/games/crawl/crawl.desktop
new file mode 100644
index 0000000000..d5d1d60cce
--- /dev/null
+++ b/games/crawl/crawl.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Dungeon Crawl Stone Soup
+Comment=Rescue the mystifyingly fabulous Orb of Zot
+Exec=crawl
+Terminal=true
+Type=Application
+Categories=Game;
+Icon=crawl_icon-32x32
diff --git a/games/crawl/crawl.info b/games/crawl/crawl.info
new file mode 100644
index 0000000000..a653d05ea6
--- /dev/null
+++ b/games/crawl/crawl.info
@@ -0,0 +1,10 @@
+PRGNAM="crawl"
+VERSION="0.31.0"
+HOMEPAGE="http://crawl.develz.org/"
+DOWNLOAD="https://github.com/crawl/crawl/releases/download/0.31.0/stone_soup-0.31.0-nodeps.tar.xz"
+MD5SUM="7f35dd3b6eb5b060df870a9c441bd70a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
diff --git a/games/crawl/crawl_icon-32x32.png b/games/crawl/crawl_icon-32x32.png
new file mode 100644
index 0000000000..726f4078de
--- /dev/null
+++ b/games/crawl/crawl_icon-32x32.png
Binary files differ
diff --git a/games/crawl/doinst.sh b/games/crawl/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/crawl/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/crawl/slack-desc b/games/crawl/slack-desc
new file mode 100644
index 0000000000..b9ae66cc37
--- /dev/null
+++ b/games/crawl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+crawl: crawl (dungeon exploration game)
+crawl:
+crawl: Dungeon Crawl Stone Soup is a game of dungeon exploration, combat and
+crawl: magic, involving characters of diverse skills, worshipping deities of
+crawl: great power and caprice. To win, you'll need to be a master of tactics
+crawl: and strategy, and prevail against overwhelming odds.
+crawl:
+crawl: The traditional ASCII roguelike version is: crawl-ascii.
+crawl: The new SDL version is: crawl.
+crawl:
+crawl: homepage: http://crawl.develz.org/